$ErrorActionPreference = 'Stop';

$packageName    = 'Fudge'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = 'https://github.com/Badgerati/Fudge/releases/download/v1.0.0/1.0.0-Binaries.zip'
$checksum       = 'ADFE1A02BDA519CBEE4504474F955D2FC92B170A0BA661BA28DC84C128297E44'
$checksumType   = 'sha256'

$packageArgs = @{
  PackageName   = $packageName
  UnzipLocation = $toolsDir
  Url           = $url
  Checksum      = $checksum
  ChecksumType  = $checksumType
}

# Download
Install-ChocolateyZipPackage @packageArgs

# Install
$path = Join-Path $env:chocolateyPackageFolder 'tools/src'
Push-Location $path

try
{
    Write-Host 'Updating environment Path'
    Install-ChocolateyPath -PathToInstall $path -PathType 'Machine'
    Update-SessionEnvironment
}
finally
{
    Pop-Location
}
